[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Variants' (#rtl)

# TCustomVariantType.BinaryOp

Perform a binary mathematical operation

## Declaration

Source position: variants.pp line 205

`public procedure TCustomVariantType.BinaryOp(`
`var Left: tvardata;`
`const Right: tvardata;`
`const Operation: tvarop`
`); virtual;`

## Arguments

`Left` |  | Left operand of binary operation, contains result on return
`Right` |  | Right operand of binary operation
`Operation` |  | Binary operation to perform.

## Description

BinaryOp performs Operation on Left and Right and stores the result of the result in Left. The TCustomVariantType implementation of this method raises an invalid operation error. Descendent classes must override this.

## Errors

If a descendent does not override this, an invalid operation error is raised.

## See also

=TCustomVariantType.UnaryOp
=TCustomVariantType.CompareOp